Bug 279161 - launchmail should fallback gracefully
launchmail should fallback gracefully
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: launchmail (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-05 15:29 EDT by Zenon Panoussis
Modified: 2013-04-12 15:20 EDT (History)
0 users

See Also:
Fixed In Version: RHBA-2008-0018
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-09 11:32:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zenon Panoussis 2007-09-05 15:29:14 EDT
Problem:
On a KDE-only installation with no gnome and no evolution, the launchmail button
is installed on all users' desktops but does not work. On invocation it replies
"xmessage: the evolution mail client does not exist, please reconfigure", but
there is no way to reconfigure it graphically. 

Workaround: 
Install control-center.

Solution:
"Requires: control-center" in the launchmail .spec. 


Version-Release number of selected component (if applicable):
4.0.0-1.el5


How reproducible:
Every time, given an installation without control-center.
Comment 1 Warren Togami 2007-09-05 15:54:00 EDT
We can fix by adding this fix from Fedora's launchmail.  Proposing for RHEL-5.2.

--- launchmail  2006-12-14 12:24:28.000000000 -0500
+++ /home/devel/wtogami/launchmail      2007-09-05 15:52:48.409134000 -0400
@@ -76,7 +76,7 @@
 }
 
 # Attempt to run GNOME Preferred Application Mail Client
-if [ -x /usr/bin/gconftool-2 ]; then
+if [ -x /usr/bin/gconftool-2 -a -x
/usr/bin/gnome-default-applications-properties ]; then
        # Pull key from gconf, remove %s or "%s", trim leading & trailing spaces
        GCONF=$(gconftool-2 -g /desktop/gnome/url-handlers/mailto/command
2>/dev/null | sed -e 's/%s//; s/\"\"//; s/^\ *//; s/\ *$//')
Comment 2 RHEL Product and Program Management 2007-12-03 15:45:58 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release.  This request will
be reviewed for a future Red Hat Enterprise Linux release.
Comment 4 Zenon Panoussis 2007-12-04 17:20:46 EST
This is a bug. One that primarily and noticeably affects lusers, so therefore
causes extra grief to admins. RH promises bug fixes on RHEL5 until Mar 31, 2010.
What's that promise worth, if such a simple bug as this one is pushed off with
WONTFIX? 

Please reconsider. 
Comment 9 errata-xmlrpc 2008-01-09 11:32:05 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0018.html

Note You need to log in before you can comment on or make changes to this bug.